> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.shipbob.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server. # Get Fulfillment Centers GET https://api.shipbob.com/2026-07/fulfillment-center Returns the list of ShipBob fulfillment centers that are enabled for receiving inventory. Use this list to choose the destination fulfillment center when creating a warehouse receiving order (WRO). For the full network of ShipBob physical locations regardless of receiving eligibility, use the Locations API. Reference: https://developer.shipbob.com/api/receiving/get-fulfillment-centers ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Servers - `https://api.shipbob.com` (https://api.shipbob.com, default) - `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com) ## Response ### 200 Success - `list of Receiving.FulfillmentCenterViewModel` ## Errors ### 401 Unauthorized Error Authorization missing or invalid - `any` ### 403 Forbidden Error The provided credentials are not authorized to access this resource - `any` ## Types ### Receiving.FulfillmentCenterViewModel Information about a fulfillment center - `address1` (string, optional, nullable) — Address line one of the fulfillment center - `address2` (string, optional, nullable) — Address line two of the fulfillment center - `city` (string, optional, nullable) — City the fulfillment center is located in - `country` (string, optional, nullable) — Country the fulfillment center is located in - `email` (string, optional, nullable) — Email contact for the fulfillment center - `id` (integer, optional) — Unique identifier of the fulfillment center - `name` (string, optional, nullable) — Name of the fulfillment center - `phone_number` (string, optional, nullable) — Phone number contact for the fulfillment center - `state` (string, optional, nullable) — State the fulfillment center is located in - `timezone` (string, optional, nullable) — Timezone the fulfillment center is located in - `zip_code` (string, optional, nullable) — Postal code of the fulfillment center ## Examples **Response** ```json [ { "address1": "5900 W Ogden Ave", "address2": "Suite 100", "city": "Cicero", "country": "USA", "email": "example@example.com", "id": 0, "name": "Cicero (IL)", "phone_number": "555-555-5555", "state": "IL", "timezone": "Central Standard Time", "zip_code": "60804" } ] ``` **SDK Code** ```python default import requests url = "https://api.shipbob.com/2026-07/fulfillment-center" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://api.shipbob.com/2026-07/fulfillment-center'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-07/fulfillment-center" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-07/fulfillment-center") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-07/fulfillment-center") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://api.shipbob.com/2026-07/fulfillment-center', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-07/fulfillment-center"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-07/fulfillment-center")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```